<?php
/**
 *---------------------------------------------------------------------------------------
 * @package       VirtuePlanet Framework for Joomla!
 *---------------------------------------------------------------------------------------
 * @copyright     Copyright (C) 2012-2021 VirtuePlanet Services LLP. All rights reserved.
 * @license       GNU General Public License version 2 or later; see LICENSE.txt
 * @authors       Abhishek Das
 * @email         info@virtueplanet.com
 * @link          https://www.virtueplanet.com
 *---------------------------------------------------------------------------------------
 */

$base = dirname(dirname(dirname(dirname(__FILE__))));

define('_JEXEC', 1);

if (file_exists($base . '/defines.php'))
{
	include_once $base . '/defines.php';
}

if (!defined('_JDEFINES'))
{
	define('JPATH_BASE', $base);
	
	require_once JPATH_BASE . '/includes/defines.php';
}

require_once JPATH_BASE . '/includes/framework.php';

if(!class_exists('VPFrameworkOptimizerOutput'))
{
	require JPATH_BASE . '/plugins/system/vpframework/helpers/optimizer/output.php';
}

VPFrameworkOptimizerOutput::execute();